Subject: Re: bug#53983: lsh fails to build
From: Brice Waegeneire <[email-masked]>
To: Roman Riabenko <[email-masked]>
Cc: [email-masked]
Date: Wed, 16 Feb 2022 08:49:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Roman,

Roman Riabenko <[email-masked]> writes:

> I was able to reproduce it on a fresh install of Guix 1.3.0. I just
> downloaded the image, installed with graphical installer, and ran "guix
> pull" and "guix system reconfigure /etc/config.scm" on the freshly
> installed system. Then, "guix install lsh" checks for substitues and
> falls back to building, which results in the attached error message. I
> also tried installing lsh in the QCOW2 image, which got it installed
> from substitutes without an issue. It seems that something in build-
> dependancies needs to be updated.

Thanks for the report.  Tobias has fixed that a few hours ago in
1cdd6b09c8bc45c1ae5a16f16d5bcf33ab0ceb5e¹ which the CI build successfully².  I
was also able to build it locally.

¹ https://git.savannah.gnu.org/cgit/guix.git/commit/?id=1cdd6b09c8bc45c1ae5a16f16d5bcf33ab0ceb5e
² http://ci.guix.gnu.org/build/485353/details

Cheers,
- Brice